# Dialog class

## Constructors

Dialog()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  @pragma("vm:entry-point"), inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited

## Static Methods

alert(BuildContext context, String title, String message, [ Function callback ]) → void
confirm(BuildContext context, String title, String message, dynamic callback(bool)) → void
getSoundId(String key) → int
prompt(BuildContext context, { String title, String labelText, String hintText, String value }) → Future<String>
showLoading(BuildContext context, String message) → Future<CircularProgressIndicator>